<p>Na slici u nastavku prikazana su dva sustava koja komuniciraju kroz nesiguran komunikacijski kanal. Pojam <i>nesiguran</i> znači da se u bilo kojem trenutku može pojaviti pogreška, i da ona može promijeniti bilo koji (i bilo koliko mnogo) bitova koji se šalju između tih sustava.</p>

<figure class="mlFigure">
<img src="@#file#(sustav1-hr.svg)" alt="Komunikacija sustava kroz komunikacijski kanal sa smetnjama." border="0">
<figcaption>Dva sustava prenose poruke kroz komunikacijski kanal koji je pod utjecajem smetnji. Istaknut je predajni sklop u sustavu A koji šalje poruku te prijemni sklop u sustavu B koji prima poruku. Zbog utjecaja smetnji moguće je da primljena poruka ne bude jednaka poslanoj.</figcaption>
</figure>

<p>Pretpostavimo da je sustav B klima uređaj zadužen za održavanje temperature skladišta pokvarljive robe, a sustav A nadzorni sustav koji povremeno mjeri temperaturu prostorije i upravlja radom klime. Upravljački uređaj klima uređaju može poslati jednu od sljedeće četiri poruke.</p>

<ul>
<li>Upali se.</li>
<li>Ugasi se.</li>
<li>Pojačaj hlađenje.</li>
<li>Smanji hlađenje.</li>
</ul>

<p>Neka su upravljački uređaj i klima povezani serijskom vezom kroz koju šalju poruke. Neka je ta veza ostvarena uporabom dva metalna vodiča: jedan vodič predstavlja masu, a drugi predstavlja vodič kroz koji se šalju naponski impulsi koji predstavljaju bitove.</p>

<p>S obzirom da postoji više naredbi, za potrebe reprezentacije istih u digitalnom sustavu te za potrebe slanja između promatranih digitalnih sustava, treba ih na neki način kodirati: svakoj naredbi treba dodijeliti jedinstven uzorak nula i jedinica na temelju kojih ćemo znati o kojoj se naredbi radi. Kako imamo upravo četiri naredbe, najjednostavnije je uzeti dvobitne uzorke i svakoj naredbi dodijeliti jedinstvenu kombinaciju. Postupak koji time radimo naziva se <i>kodiranje</i>: apstraktnom pojmu iz stvarnog svijeta pridjeljujemo digitalnu reprezentaciju.</p>

<p>Kako smo se odlučili za uporabu dvobitnih binarnih uzoraka, označimo bitove koji se šalju oznakama <i>B</i><sub>1</sub> i <i>B</i><sub>2</sub>. Tablica u nastavku navodi sve naredbe i njima pridijeljene dvobitne uzorke - kodove.</p>

<table class="mlTableCC">
<thead>
<tr><th>Naredba</th><th>Pridijeljeni kod: <i>B</i><sub>1</sub><i>B</i><sub>2</sub></th></tr>
</thead>
<tbody>
<tr><td>Upali se.</td><td><code>00</code></td></tr>
<tr><td>Ugasi se.</td><td><code>01</code></td></tr>
<tr><td>Pojačaj hlađenje.</td><td><code>10</code></td></tr>
<tr><td>Smanji hlađenje.</td><td><code>11</code></td></tr>
</tbody>
</table>

<p>Prethodna tablica jedan je od oblika formalne definicije kodiranja. Drugi način je grafički, i prikazan je na slici u nastavku.</p>

<figure class="mlFigure">
<img src="@#file#(kodiranje1-hr.svg)" alt="Grafički prikaz kodiranja." border="0">
<figcaption>Grafički prikaz definiranog postupka kodiranja.</figcaption>
</figure>

<div class="mlQuestionText">
<p>Pretpostavite sada da je sustav B s komunikacijskog kanala pročitao binarni uzorak <i>B</i><sub>1</sub><i>B</i><sub>2</sub>=<code>01</code>. Može li klima biti sigurna da je upravljački uređaj poslao naredbu koja nalaže klimi da se ugasi?</p>
</div>

